program Stalaktiti;
const
MAXN = 1000;
type
TIntArray = array[1..MAXN] of LongInt;
var
N, L, i: Integer;
visine: TIntArray;
begin
readln(N, L);
for i := 1 to N do
read(visine[i]);
for i := 1 to N do
begin
if visine[i] <= L then
begin
writeln(i);
exit; 
end;
end;
writeln(-1);
end.